summaryrefslogtreecommitdiffstats
path: root/bootstrap-stage3-build.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-07-04 17:33:36 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-07-04 17:33:36 (EDT)
commita7c6f8770459345b8c02e5b50f48c43d36ea6729 (patch)
tree1eb5028981c7fa4df9172762816a4ce55c883437 /bootstrap-stage3-build.sh
parentabf9cd9ee5ae77d7c6efa0d085d707f275624096 (diff)
bootstrap-stage3-build.sh: New file.
Diffstat (limited to 'bootstrap-stage3-build.sh')
-rwxr-xr-xbootstrap-stage3-build.sh60
1 files changed, 60 insertions, 0 deletions
diff --git a/bootstrap-stage3-build.sh b/bootstrap-stage3-build.sh
new file mode 100755
index 0000000..eb07065
--- /dev/null
+++ b/bootstrap-stage3-build.sh
@@ -0,0 +1,60 @@
+#!/bin/sh
+#
+# Initial port bootstrap scripts
+# bootstrap-stage3-build.sh
+# Builds packages in stage 3 of the bootstrap.
+#
+# Copyright (C) 2013 Patrick "P. J." McDermott
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+set -e
+
+main()
+{
+ cat <<-EOF
+
+ Building packages in stage 3...
+ ===============================
+ EOF
+
+ build_packages
+}
+
+log()
+{
+ local msg i
+
+ msg="$(printf "${@}")"
+ printf '\n%s\n' "${msg}"
+ i=0
+ while [ ${i} -lt ${#msg} ]; do
+ printf '-'
+ i=$(($i + 1))
+ done
+ printf '\n\n'
+}
+
+build_packages()
+{
+ cp -p pkg/src-*_src_all.opk root2
+ sudo chroot root2 sh -c 'opkg install /src-*_src_all.opk'
+ sudo chroot root2 sh -c 'set -e;
+ for dir in /usr/src/*/; do
+ cd "${dir}"
+ opkbuild -C
+ done'
+}
+
+main "${@}"